Loading...
Searching...
No Matches
gtsam::Basis< DERIVED >::DerivativeFunctorBase Class Reference

## Detailed Description

template<typename DERIVED>
class gtsam::Basis< DERIVED >::DerivativeFunctorBase

Base class for functors below that calculate derivative weights.

Inheritance diagram for gtsam::Basis< DERIVED >::DerivativeFunctorBase:

## Public Member Functions

| DerivativeFunctorBase ()
| For serialization.
| DerivativeFunctorBase (size_t N, double x)
| DerivativeFunctorBase (size_t N, double x, double a, double b)
void | print (const std::string &s="") const

## Protected Attributes

Weights | weights_

The documentation for this class was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/basis/Basis.h